/*
 * Quimeleon - a themeable quiz engine
 * Copyright (C) 2005  Aike Reyer <aike@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#include "plugin_half.h"

#include "rand.h"




namespace quimeleon_plugin {





const char* PluginHalf::_name = "Half";




PluginHalf::PluginHalf(quimeleon::Control* control)
	: quimeleon::Plugin(control)
{
}




void
PluginHalf::activate(const Glib::ustring& arg)
{
	const unsigned int n = control()->answers_cnt();

	if (n < 2) {
		return;
	}

	std::vector<int> insensitive;
	insensitive.reserve(n - 1);
	for (unsigned int i = 0; i < n; i++) {
		if (i != control()->correct()) {
			insensitive.push_back(i);
		}
	}
	quimeleon::Rand r;
	std::random_shuffle(insensitive.begin(), insensitive.end(), r);
	for (unsigned int i = 0; i < n / 2; i++) {
		control()->answer_insensitive(insensitive[i]);
	}
}





} // end namespace quimeleon_plugin
