/*
 * Quimeleon - a themeable quiz engine
 * Copyright (C) 2005  Aike Reyer <aike@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef QUIMELEON_PLUGIN_RETRY_H
#define QUIMELEON_PLUGIN_RETRY_H

#include "plugin.h"




namespace quimeleon_plugin {





class PluginRetry : public quimeleon::Plugin
{
public:
	PluginRetry(quimeleon::Control* control);

	inline const char* name() const { return _name; }
	void activate(const Glib::ustring& arg);


private:
	static const char* _name;
};




#ifdef PLUGIN
extern "C" quimeleon::Plugin*
quimeleon_plugin(quimeleon::Control* control)
{
	return new PluginRetry(control);
}
#endif





} // end namespace quimeleon_plugin




#endif
