/*
 * Quimeleon - a themeable quiz engine
 * Copyright (C) 2005, 2006  Aike Reyer <aike@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef QUIMELEON_DIALOGS_H
#define QUIMELEON_DIALOGS_H

#include "gtkmm/filechooserdialog.h"

#include "action.h"
#include "configuration.h"
#include "control.h"
#include "display.h"
#include "preferences.h"




namespace quimeleon {





class Dialogs
{
public:
	Dialogs(Gtk::Window* parent,
		Configuration* configuration, Display& display, Control& control,
		Action& plugins);

	void file_open();
	void preferences();
	void about();

	void save_style_and_trivia();

private:
	void apply_style();
	void apply_trivia();


private:
	Gtk::Window* _parent;
	Configuration* _configuration;
	Display& _display;
	Control& _control;
	Action& _plugins;
};





} // end namespace quimeleon




#endif
