/*
 * Quimeleon - a themeable quiz engine
 * Copyright (C) 2005  Aike Reyer <aike@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef QUIMELEON_DISPLAY_H
#define QUIMELEON_DISPLAY_H

#include <gtkmm/drawingarea.h>

#include "item_top.h"




namespace quimeleon {





class Display : public Gtk::DrawingArea
{
public:
	Display(ItemTop* top);

	void set_item_top(ItemTop* top);


protected:
	bool on_configure_event(GdkEventConfigure* event);
	bool on_expose_event(GdkEventExpose* event);

	void on_changed(int x, int y, int w, int h);
	bool do_full_expose();



private:
	ItemTop* _top;

	bool _do_full_expose;
	bool _doing_full_expose;
};





} // end namespace quimeleon




#endif
