/*
 * Quimeleon - a themeable quiz engine
 * Copyright (C) 2005  Aike Reyer <aike@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#include "item_action.h"



namespace quimeleon {





ItemAction::ItemAction(const Item* parent,
	const Glib::ustring& id, item_type_t type, int number,
	const Glib::ustring& plugin, const Glib::ustring& plugin_arg)
	: ItemMulti(parent, id, type, number),
	  _plugin(plugin),
	  _plugin_arg(plugin_arg)
{
}




const std::vector<ItemAction*>&
ItemAction::actions() const
{
	if (_actions.empty()) {
		_actions.push_back(const_cast<ItemAction*>(this));
	}

	return _actions;
}



void
ItemAction::mark_state(state_t new_state, bool do_expose)
{
	if (new_state == state()) {
		return;
	}
	set_state_rec(new_state);

	if (   do_expose
	    && restore_pixbuf()) {
		ItemRect::compose_pixbuf();

		signal_expose();
	}
}





} // end namespace quimeleon
