/*
 * Quimeleon - a themeable quiz engine
 * Copyright (C) 2005  Aike Reyer <aike@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef QUIMELEON_ITEM_ACTION_H
#define QUIMELEON_ITEM_ACTION_H

#include "error.h"
#include "item_multi.h"
#include "item_label.h"




namespace quimeleon {





class ItemAction : public ItemMulti
{
public:
	ItemAction(const Item* parent = 0,
		const Glib::ustring& id = "", item_type_t type = T_rect, 
		int number = -1,
		const Glib::ustring& plugin = "", const Glib::ustring& plugin_arg = "");


	inline const Glib::ustring& plugin() const throw() { return _plugin; }
	inline const Glib::ustring& plugin_arg() const throw()
	{
		return _plugin_arg;
	}

	const std::vector<ItemAction*>& actions() const;
	inline const std::vector<ItemAction*> all_actions() const
	{
		return actions();
	}

	void mark_state(state_t state, bool do_expose = true);


private:
	const Glib::ustring _plugin;
	const Glib::ustring _plugin_arg;
};





} // end namespace quimeleon




#endif
