/*
 * Quimeleon - a themeable quiz engine
 * Copyright (C) 2005  Aike Reyer <aike@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#include "item_func.h"




namespace quimeleon {





ItemFunc::ItemFunc(const Item* parent,
	const Glib::ustring& id, item_type_t type)
	: ItemRect(parent, id, type)
{
}




bool
ItemFunc::restore_pixbuf()
{
	if (   _bg_pixbuf
	    && crop_width() > 0
	    && crop_height() > 0) {
		_bg_pixbuf->composite(_pixbuf, crop_x(), crop_y(),
			crop_width(), crop_height(),
			crop_x(), crop_y(),
			1, 1, Gdk::INTERP_BILINEAR, 0xff);

		return true;
	}

	return false;
}



void
ItemFunc::compose_pixbuf()
{
	if (   ! visible()
	    || crop_width() <= 0
	    || crop_height() <= 0
		|| ! _pixbuf) {
		return;
	}

	_bg_pixbuf = Gdk::Pixbuf::create_subpixbuf(
		_pixbuf, crop_x(), crop_y(), crop_width(), crop_height())->copy();

	ItemRect::compose_pixbuf();
}





} // end namespace quimeleon
