/*
 * Quimeleon - a themeable quiz engine
 * Copyright (C) 2005  Aike Reyer <aike@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef QUIMELEON_ITEM_LEVEL_H
#define QUIMELEON_ITEM_LEVEL_H

#include "error.h"

#include "item_multi.h"
#include "item_label.h"



namespace quimeleon {





class ItemLevel : public ItemMulti
{
public:
	ItemLevel(Item* parent = 0,
		const Glib::ustring& id = "", item_type_t type = T_rect,
		int number = -1);


	void complete_attributes();
	void find_parsed_labels(const std::vector<std::vector<Item*> >& children);


	void set_label_number(int label_number);

	const std::vector<ItemLevel*>& levels() const;
	inline const std::vector<ItemLevel*> all_levels() const
	{
		return levels();
	}

	inline Item* parent() const throw() { return _parent; }

	void mark_state(state_t state, bool do_compose = true);


private:
	Item* _parent;
	std::vector<ItemLabel*> _parsed_labels;

	int _label_number;
	Glib::ustring _text;

	ItemLabel* _text_item;
};





} // end namespace quimeleon




#endif
