/*
 * Quimeleon - a themeable quiz engine
 * Copyright (C) 2005  Aike Reyer <aike@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef QUIMELEON_ITEM_RECT_H
#define QUIMELEON_ITEM_RECT_H

#include "item.h"




namespace quimeleon {





class ItemRect : public Item
{
public:
	ItemRect(const Item* parent = 0,
		const Glib::ustring& id = "", item_type_t type = T_rect);

	void complete_attributes();

	inline void set_fixed(bool is_fixed = true) throw()
	{
		_is_fixed = is_fixed;
	}

	inline void set_horizontal(bool is_horizontal = true) throw()
	{
		_is_horizontal = is_horizontal;
	}
	inline void set_spacing(int spacing = 0) throw()
	{
		_spacing = spacing;
	}

	inline void set_transparent(bool is_transparent = true) throw()
	{
		_is_transparent = is_transparent;
	}

	void align_children();


protected:
	void compose_pixbuf();


private:
	bool _is_fixed;
	bool _is_horizontal;
	int _spacing;
	bool _is_transparent;
};





} // end namespace quimeleon




#endif
