/*
 * Quimeleon - a themeable quiz engine
 * Copyright (C) 2005  Aike Reyer <aike@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef QUIMELEON_KEYS_H
#define QUIMELEON_KEYS_H

#include <map>

#include <gdk/gdkevents.h>




namespace quimeleon {





enum command_t {
	command_undefined = 0,
	command_next_question = 1,
	command_prev_question = 2,
	command_next_level = 3,
	command_prev_level = 4,
	command_toggle_fullscreen = 5,
	command_quit = 6,
	command_continue = 7,
	command_continue_benevolent = 8,
	command_select_answer_begin = 1000,
	command_select_answer_end = 1099,
	command_deselect_answer_begin = 1100,
	command_deselect_answer_end = 1199,
	command_select_action_begin = 2000,
	command_select_action_end = 2099,
	command_select_action_autonomous_begin = 3000,
	command_select_action_autonomous_end = 3099,
	command_next_status_begin = 4000,
	command_next_status_end = 4099,
	command_prev_status_begin = 4100,
	command_prev_status_end = 4199,
	command_set_status_begin = 4200,
	command_set_status_0_end = 4249,
	command_set_status_end = 4999
};





class Keys
{
public:
	Keys() throw();

	command_t command(const GdkEventKey& key) const throw();

	inline void set_key_command(guint keyval, command_t command)
	{
		_keyval_commands[keyval] = command;
	}



private:
	std::map<guint, command_t> _keyval_commands;
};





} // end namespace quimeleon




#endif
