/*
 * Quimeleon - a themeable quiz engine
 * Copyright (C) 2006  Aike Reyer <aike@users.sourceforge.net>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef QUIMELEON_TRIVIAS_H
#define QUIMELEON_TRIVIAS_H

#include <vector>

#include <trivia.h>




namespace quimeleon {





class Trivia;

class Trivias : public std::vector<Trivia>
{
public:
	Trivias();

	inline void set_max_level_cnt(unsigned int max_level_cnt) throw()
	{
		_max_level_cnt = max_level_cnt;
	}
	inline unsigned int max_level_cnt() const throw()
	{
		return (size() < _max_level_cnt ? size() : _max_level_cnt);
	}


private:
	unsigned int _max_level_cnt;
};





} // end namespace quimeleon




#endif
